:root {
    --darkgrey: #3c3c3b;
    --light-grey: #ededed;
    --red: #ff002a
}

/* open-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/open-sans-v44-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 600;
  src: url('../fonts/open-sans-v44-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/open-sans-v44-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-800 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 800;
  src: url('../fonts/open-sans-v44-latin-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

html, body {
    margin: 0;
    padding: 0;
    width: 100vw;
    max-width: 100vw;
    height: auto;
    min-height: 100vh;
    box-sizing: border-box;
    color: var(--darkgrey);
    background: var(--light-grey);
}

body {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 2em;
    align-items: center;
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
    font-size: 18px;
    line-height: 1.6;
}

header, main, footer {
    max-width: 1200px;
    width: 100%;
    box-sizing: border-box;
    padding: 1em 2em;
}


header {
    background: #fff;
    border-radius: 0 0 8px 8px;
    padding-top: 0;
}

header > .logo-container {
    display: flex;
    justify-content: space-between;
    max-height: 150px;
}

#header-top {
    margin: 0 -2em;
}

#header-top img{
    width: 100%;

}

img {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    margin: 0;
}

h1, h2, h3 {
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
    font-weight: 800;
}

h2 {
    margin-top: 2em;
}

#brand {
    width: 250px;
}

#nds {
    margin-top: 1em;
}

main {
    padding: 0 1em;
}
#intro {
    display: flex;
    gap: 2em;
}

#intro > div {
    width: 50%;
}

#intro img {
    border-radius: 8px;
}

.stellenangebot {
    background-color: #fff;
    padding: 1em;
    border-radius: 8px;
    box-shadow: 0 0 10px #ccc;
    border-left: 4px solid var(--red);
    margin-bottom: 2em;
    display: flex;
    align-items: center;
    margin-right: 1em;
}

.stellenangebot:hover {
    box-shadow: 0 0 20px #aaa;
}

.stellenangebot > div {
    flex: 1;
}

.stellenangebot > div.btn {
    flex: 0 0 auto;
    text-align: right;
}

.stellenangebot > div.btn a {
    font-weight: 700;
    font-size: 1.0em;
    color: var(--red);
    text-decoration: none;
    margin: 0;
    text-align: right;
    position: relative;
}

.stellenangebot > div.btn a:after {
    content: "";
    height: 2px;
    width: 100%;
    background: var(--red);
    display: block;
    transform: scaleX(0);
    transition: all .2s ease-in-out;

}

.stellenangebot > div.btn:hover a:after {
    transform: scaleX(1);
}

.stellenangebot p {
    margin: 0;
}

h3 {
    margin: 0 0 .25em 0;
}

.meta-infos {
    display: flex;
    font-size: 0.8em;
    gap: 2em;
}

footer, footer p {
    text-align: center;
}

#impressum a,
footer a {
    color: var(--darkgrey);
}

#impressum a:hover,
footer a:hover {
    color: var(--red);
}

@media  screen and (max-width: 750px) {
    #brand {
        width: 200px;
    }
}

@media  screen and (max-width: 600px) {

    header > .logo-container {
        height: auto;
        max-height: 100%;
    }


    #brand {
        width: 200px;
    }

    #intro,
    .stellenangebot,
    .meta-infos {
        flex-direction: column;
        gap: 0;
    }

    #intro > div {
        width: auto;
        padding-right: 1em;
    }

    .stellenangebot > div.btn, 
    .stellenangebot > div.btn a {
        text-align: left;
    }

    #nds img:first-of-type {
        width: 111px
    }

    #nds img:last-of-type {
        width: 28px
    }
}